libpolyorb5_2.11~20140418-4_i386.deb


Advertisement

Description

libpolyorb5 - Multiple-personality middleware for Ada

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpolyorb5
Package version 2.11~20140418
Package release 4
Package architecture i386
Package type deb
Installed size 29.53 KB
Download size 5.22 MB
Official Mirror archive.ubuntu.com
PolyORB provides a uniform solution to build distributed applications; relying
either on industrial-strength middleware standards such as CORBA, the
Distributed System Annex of Ada 95, distribution programming paradigms such as
Web Services, Message Oriented Middleware (MOM), or to implement
application-specific middleware.
Distributed applications will also require the polyorb-servers package but not
necessarily on the same machine.

Alternatives

Package Version Architecture Repository
libpolyorb5_2.11~20140418-4_amd64.deb 2.11~20140418 amd64 Ubuntu Universe
libpolyorb5 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libgnat-7 >= 7.2.0-2ubuntu1

Download

Type URL
Binary Package libpolyorb5_2.11~20140418-4_i386.deb
Source Package polyorb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpolyorb5 deb package:
    # sudo apt-get install libpolyorb5

Files

Path
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-event-impl.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-event.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-ir-impl.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-naming-impl.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-naming.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-notification.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-cos-time.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-dynamicany.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-iop.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-messaging.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba-portableinterceptor.so.5
/usr/lib/i386-linux-gnu/libpolyorb-corba.so.5
/usr/lib/i386-linux-gnu/libpolyorb-dsa.so.5
/usr/lib/i386-linux-gnu/libpolyorb-giop-diop.so.5
/usr/lib/i386-linux-gnu/libpolyorb-giop-iiop.so.5
/usr/lib/i386-linux-gnu/libpolyorb-giop-miop.so.5
/usr/lib/i386-linux-gnu/libpolyorb-giop.so.5
/usr/lib/i386-linux-gnu/libpolyorb-moma.so.5
/usr/lib/i386-linux-gnu/libpolyorb-setup.so.5
/usr/lib/i386-linux-gnu/libpolyorb.so.5
/usr/share/doc/libpolyorb5/changelog.Debian.gz
/usr/share/doc/libpolyorb5/copyright

Changelog

2017-08-24 - Nicolas Boulenguez <nicolas@debian.org>
polyorb (2.11~20140418-4) unstable; urgency=medium
* Add me as Uploader.
* Rebuild with gnat-7.
- Rename -dev and runtime packages with new ALI and SO versions.
-Stop Breaking/Replacing previous -dev built with another compiler.
* Update Build-Dependencies: obsolete (dh-ada-library),
renamed (texlive-generic, fig2dev) or new (texlive-latex).
* Reorganize internal dependencies according to policy.
-bin and -dev Suggest: -doc
-doc stops Recommending: -dev.
-dev Depends: gnat per Ada Debian policy.
* Allow -doc to satisfy Multi-Arch same dependencies.
* Simplify debian/rules and reduce divergence with upstream.
* Debhelper 10. Remove explicit policy targets and -dbg package.
Separate autoconf and configure steps.
* Enable hardening flags.
* Add minimal runtime test.
* Standard-Versions: 4.1.0. HTTPS copyright format URL.
Allow DEB_BUILD_OPTIONS=nodoc.
* Fix duplicate licence in copyright.
* Remove bug-561121.patch, old work-around for sparc.
* Gcc-7 does not need an executable stack anymore, drop lintian override.
2016-10-03 - Gianfranco Costamagna <locutusofborg@debian.org>
polyorb (2.11~20140418-3.2) unstable; urgency=medium
* Non-maintainer upload.
[ Svante Signell ]
* debian/patches/examples_corba_echo_echo-impl.adb.patch:
- fix build failures with some Tex versions
(Closes: #835966, Closes: #790664).
2016-09-19 - Mattia Rizzolo <mattia@debian.org>
polyorb (2.11~20140418-3.1) unstable; urgency=medium
* Non-maintainer upload.
[ Svante Signell ]
* build with gnat-6.  Closes: #831255.
* Add patch to fix compilation due to missing include.
2014-09-26 - Xavier Grave <xavier.grave@csnsm.in2p3.fr>
polyorb (2.11~20140418-3) unstable; urgency=low
[Ludovic Brenta]
* debian/rules: use --with autotools-dev in most targets forwarded to
dh.  Reconfigure from the target override_dh_auto_configure, not from
a separate target.  Patch from Matthias Klose.  Closes: #758743.
[Xavier Grave]
* Minor change to update last maintainer email address
2014-08-12 - Ludovic Brenta <lbrenta@debian.org>
polyorb (2.11~20140418-2) unstable; urgency=low
* Upload to unstable.  Closes: #685564, #752890.
* Rebuild with gnat-4.9 4.9.1.
2014-04-21 - Ludovic Brenta <lbrenta@debian.org>
polyorb (2.11~20140418-1) experimental; urgency=low
[Ludovic Brenta]
* New upstream version: Subversion revision 226475 with runtime library
exception removed and documentation under pure GPL version 3 or later:
com.adacore.polyorb.debian revision
eaed77c62550dfe805490639563447f538ce0c4c. Closes: #701338, #709495.
* debian/control (libpolyorb3-dev): break and replace libpolyorb2-dev.
* debian/patches/fix-texi-syntax-error.patch: refresh.
* debian/patches/remove-soap-in-tests.patch: refresh.
* debian/patches/support-tilde-in-pathname.patch: new.
* debian/patches/make-clean.patch: new.
* debian/control (Architecture): any.  Closes: #568452.
[Xavier Grave]
* debian/control: Package renamings pursuant to Debian Policy for Ada:
libpolyorb2-dev -> libpolyorb3-dev
libpolyorb3     -> libpolyorb4
* debian/control (Build-Depends): Migrate to gnat-4.9 from experimental.
* debian/patches/polyorb-config-patch-for-gnatdist.patch:
allow pcs_project1 use of "extends all" keyword, allowed by gnat-4.9.
* debian/rules: generate one .gpr project file for each library instead of
a single all-encompassing project file.
* debian/rules: generate a new project file,
/usr/share/ada/adainclude/polyorb_src.gpr, used by all other library-
specific project files.
2012-09-29 - Xavier Grave <xavier.grave@ipno.in2p3.fr>
polyorb (2.8~20110207-5) unstable; urgency=low
* remove diversion of manpage polyorb.7
the man page isn't put in any package since it contains general information
not very usefull
Closes: #688299

See Also

Package Description
libpomegranate-clojure_1.0.0-2_all.deb dependency resolution and repository handling library for Clojure
libpomp-dev_1.1+dfsg-5_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp0_1.1+dfsg-5_i386.deb OpenMP Pragma And Region Instrumentor - shared library
libpomp2-dev_2.0.2-3_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp2-doc_2.0.2-3_all.deb OpenMP Pragma And Region Instrumentor - documentation
libpoppler-cil-dev_0.0.3-4_all.deb PDF rendering library -- CLI development files
libpoppler-cil_0.0.3-4_all.deb PDF rendering library -- CLI bindings
libpoppler-qt5-1_0.62.0-2ubuntu2_i386.deb PDF rendering library (Qt 5 based shared library)
libpoppler-qt5-dev_0.62.0-2ubuntu2_i386.deb PDF rendering library -- development files (Qt 5 interface)
libpopplerkit-dev_0.0.20051227svn-7.1build17_i386.deb GNUstep framework for rendering PDF content (development files)
libpopplerkit0_0.0.20051227svn-7.1build17_i386.deb GNUstep framework for rendering PDF content (library files)
libportaudio-ocaml-dev_0.2.1-1build1_i386.deb OCaml bindings for the portaudio library
libportaudio-ocaml_0.2.1-1build1_i386.deb OCaml bindings for the portaudio library
libportaudio2_19.6.0-1_i386.deb Portable audio I/O - shared library
libportaudiocpp0_19.6.0-1_i386.deb Portable audio I/O C++ bindings - shared library
Advertisement
Advertisement